<?php

namespace Drupal\commerce_funds\Plugin\views\field;

use Drupal\views\Plugin\views\field\NumericField;
use Drupal\views\ResultRow;

/**
 * Field handler to provide amount.
 *
 * @ingroup views_field_handlers
 *
 * @ViewsField("commerce_funds_amount")
 */
class MoneyAmount extends NumericField {

  /**
   * {@inheritdoc}
   */
  public function preRender(&$values) {
    foreach ($values as $key => $row) {
      $transaction_id = $row->_entity->id();
      $currency = \Drupal::service('commerce_funds.transaction_manager')->getTransactionCurrency($transaction_id);

      $values[$key]->transaction_currency = $currency;
    }
  }

  /**
   * {@inheritdoc}
   */
  public function render(ResultRow $values) {
    $value = $this->getValue($values);
    $currency_symbol = $values->_entity->getCurrency()->getSymbol();

    return $currency_symbol . $value;
  }

}
